GDCM: vtkImageMapToColors16 Class Reference

GDCM 3.2.8

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkImageMapToColors16 Class Reference

`#include <vtkImageMapToColors16.h>`

Inheritance diagram for vtkImageMapToColors16:
[legend]
Collaboration diagram for vtkImageMapToColors16:
[legend]

## Public Member Functions
virtual unsigned long | GetMTime ()
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetLookupTable (vtkScalarsToColors *)
void | SetOutputFormatToLuminance ()
void | SetOutputFormatToLuminanceAlpha ()
void | SetOutputFormatToRGB ()
void | SetOutputFormatToRGBA ()
| vtkBooleanMacro (PassAlphaToOutput, int)
| vtkGetMacro (ActiveComponent, int)
| vtkGetMacro (OutputFormat, int)
| vtkGetMacro (PassAlphaToOutput, int)
| vtkGetObjectMacro (LookupTable, vtkScalarsToColors)
| vtkSetMacro (ActiveComponent, int)
| vtkSetMacro (OutputFormat, int)
| vtkSetMacro (PassAlphaToOutput, int)
| vtkTypeMacro (vtkImageMapToColors16, vtkThreadedImageAlgorithm)

## Static Public Member Functions
static vtkImageMapToColors16 * | New ()

## Protected Member Functions
| vtkImageMapToColors16 ()
| ~vtkImageMapToColors16 ()
virtual int | RequestData (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
virtual int | RequestInformation (vtkInformation *, vtkInformationVector **, vtkInformationVector *)
void | ThreadedRequestData (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector, vtkImageData ***inData, vtkImageData **outData, int extent[6], int id)

## Protected Attributes
int | ActiveComponent
int | DataWasPassed
vtkScalarsToColors * | LookupTable
int | OutputFormat
int | PassAlphaToOutput

## Constructor & Destructor Documentation

## ◆ vtkImageMapToColors16()

vtkImageMapToColors16::vtkImageMapToColors16 | ( |  | ) |
| protected

Referenced by New(), and vtkTypeMacro().

## ◆ ~vtkImageMapToColors16()

vtkImageMapToColors16::~vtkImageMapToColors16 | ( |  | ) |
| protected

## Member Function Documentation

## ◆ GetMTime()

virtual unsigned long vtkImageMapToColors16::GetMTime | ( |  | ) |
| virtual

Referenced by vtkGetMacro().

## ◆ New()

vtkImageMapToColors16 * vtkImageMapToColors16::New | ( |  | ) |
| static

References vtkImageMapToColors16().

## ◆ PrintSelf()

void vtkImageMapToColors16::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )

## ◆ RequestData()

virtual int vtkImageMapToColors16::RequestData | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector )
| protectedvirtual

## ◆ RequestInformation()

virtual int vtkImageMapToColors16::RequestInformation | ( | vtkInformation * | ,
|  | vtkInformationVector ** | ,
|  | vtkInformationVector * | )
| protectedvirtual

## ◆ SetLookupTable()

virtual void vtkImageMapToColors16::SetLookupTable | ( | vtkScalarsToColors * |  | ) |
| virtual

## ◆ SetOutputFormatToLuminance()

void vtkImageMapToColors16::SetOutputFormatToLuminance | ( |  | ) |
| inline

References OutputFormat.

## ◆ SetOutputFormatToLuminanceAlpha()

void vtkImageMapToColors16::SetOutputFormatToLuminanceAlpha | ( |  | ) |
| inline

References OutputFormat.

## ◆ SetOutputFormatToRGB()

void vtkImageMapToColors16::SetOutputFormatToRGB | ( |  | ) |
| inline

References OutputFormat.

## ◆ SetOutputFormatToRGBA()

void vtkImageMapToColors16::SetOutputFormatToRGBA | ( |  | ) |
| inline

References OutputFormat.

## ◆ ThreadedRequestData()

void vtkImageMapToColors16::ThreadedRequestData | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector,
|  | vtkImageData *** | inData,
|  | vtkImageData ** | outData,
|  | int | extent[6],
|  | int | id )
| protected

## ◆ vtkBooleanMacro()

vtkImageMapToColors16::vtkBooleanMacro | ( | PassAlphaToOutput | ,
|  | int | )

References PassAlphaToOutput.

## ◆ vtkGetMacro() [1/3]

vtkImageMapToColors16::vtkGetMacro | ( | ActiveComponent | ,
|  | int | )

References ActiveComponent.

## ◆ vtkGetMacro() [2/3]

vtkImageMapToColors16::vtkGetMacro | ( | OutputFormat | ,
|  | int | )

References OutputFormat.

## ◆ vtkGetMacro() [3/3]

vtkImageMapToColors16::vtkGetMacro | ( | PassAlphaToOutput | ,
|  | int | )

References GetMTime(), and PassAlphaToOutput.

## ◆ vtkGetObjectMacro()

vtkImageMapToColors16::vtkGetObjectMacro | ( | LookupTable | ,
|  | vtkScalarsToColors | )

References LookupTable.

## ◆ vtkSetMacro() [1/3]

vtkImageMapToColors16::vtkSetMacro | ( | ActiveComponent | ,
|  | int | )

References ActiveComponent.

## ◆ vtkSetMacro() [2/3]

vtkImageMapToColors16::vtkSetMacro | ( | OutputFormat | ,
|  | int | )

References OutputFormat.

## ◆ vtkSetMacro() [3/3]

vtkImageMapToColors16::vtkSetMacro | ( | PassAlphaToOutput | ,
|  | int | )

References PassAlphaToOutput.

## ◆ vtkTypeMacro()

vtkImageMapToColors16::vtkTypeMacro | ( | vtkImageMapToColors16 | ,
|  | vtkThreadedImageAlgorithm | )

References vtkImageMapToColors16().

## Member Data Documentation

## ◆ ActiveComponent

int vtkImageMapToColors16::ActiveComponent
| protected

Referenced by vtkGetMacro(), and vtkSetMacro().

## ◆ DataWasPassed

int vtkImageMapToColors16::DataWasPassed
| protected

## ◆ LookupTable

vtkScalarsToColors* vtkImageMapToColors16::LookupTable
| protected

Referenced by vtkGetObjectMacro().

## ◆ OutputFormat

int vtkImageMapToColors16::OutputFormat
| protected

Referenced by SetOutputFormatToLuminance(), SetOutputFormatToLuminanceAlpha(), SetOutputFormatToRGB(), SetOutputFormatToRGBA(), vtkGetMacro(), and vtkSetMacro().

## ◆ PassAlphaToOutput

int vtkImageMapToColors16::PassAlphaToOutput
| protected

Referenced by vtkBooleanMacro(), vtkGetMacro(), and vtkSetMacro().

The documentation for this class was generated from the following file:

- vtkImageMapToColors16.h